Skip to main content
GET
/
agents
/
instances
/
List Instances
curl --request GET \
  --url https://api.example.com/agents/instances/
import requests

url = "https://api.example.com/agents/instances/"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/agents/instances/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "agent_type_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "task_id": "<string>",
    "status": "starting",
    "started_at": "<string>",
    "ended_at": "<string>",
    "turn_count": 0,
    "tokens_total": 0,
    "needs_input": false,
    "current_step": "<string>",
    "last_action_at": "<string>",
    "session_id": "<string>"
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Query Parameters

status
string | null

Filter by instance status

agent_type_id
string | null

Filter by agent type ID

task_id
string | null

Filter by task ID

needs_input
boolean | null

Filter by needs_input flag

Response

Successful Response

agent_type_id
string
required
created_at
string<date-time>
updated_at
string<date-time>
id
string | null
task_id
string | null
status
enum<string>
default:starting

Lifecycle status of an agent instance.

Available options:
starting,
running,
waiting,
paused,
completed,
error,
stopped
started_at
string | null
ended_at
string | null
turn_count
integer
default:0
tokens_total
integer
default:0
needs_input
boolean
default:false
current_step
string | null
last_action_at
string | null
session_id
string | null